.products-layout {
  display: flex;
  gap: 30px;
}
.product-categories {
  width: 281px;
}
.product-table {
  flex: 1;
}
.group-title {
  margin: 30px 0 10px;
}
.woocommerce-product-table {
  width: 100%;
  border-collapse: collapse;
}
.woocommerce-product-table th,
.woocommerce-product-table td {
  border: 1px solid #ddd;
  padding: 8px;
}
aside.product-categories {
  background: rgba(33, 34, 37, 0.08);
  padding: 20px 20px 16px;
  border-radius: 16px;
  height: max-content;
}
ul.product-categories-list {
  padding: 0;
  margin: 0;
  list-style: none;
}
li.product-category-item a {
  font-size: 18px;
  text-decoration: none;
  font-weight: 500;
  color: rgba(33, 34, 37, 1);
  font-family: "Oswald";
}
li.product-category-item a {
  display: flex;
  align-items: center;
  line-height: 1.2;
  background: white;
  padding-left: 12px;
  border-radius: 8px;
  margin: 0 0 4px;
  justify-content: space-between;
  overflow: hidden;
  position: relative;
  border: 2px solid transparent;
}
li.product-category-item a img.attachment-thumbnail {
  width: 75px;
  height: 48px;
  object-fit: cover;
  margin-left: 5px;
  border-radius: 8px 0px 8px 0px;
}
li.product-category-item a:hover,
li.product-category-item.is-active a {
  border-color: rgba(98, 52, 51, 1);
  color: rgba(98, 52, 51, 1);
}
.woocommerce-product-table tr th {
  font-size: 18px;
  text-align: center;
  line-height: 1.2;
  color: rgba(10, 10, 10, 1);
  background: rgba(245, 245, 245, 1);
  padding: 30px 15px 30px;
  border: 0;
}
h3.group-title {
  margin: 0;
  color: white;
  background: rgba(98, 52, 51, 1);
  text-align: center;
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  font-size: 24px;
  line-height: 1;
  padding: 25px 10px;
  border-radius: 16px 16px 0px 0px;
}
.product-table {
  border-radius: 16px;
}
table.woocommerce-product-table td {
  color: rgba(33, 34, 37, 1);
  text-align: center;
  font-weight: 500;
  padding: 15px 5px 15px;
  border-left: 0;
  border-right: 0;
}
table.woocommerce-product-table {
  border-left: 1px solid #e2e2e2;
  border-right: 1px solid #e2e2e2;
}
table.woocommerce-product-table tbody tr:hover {
  background: #f5f5f5;
}
.flex-pricelist {
  margin-bottom: 100px;
}
.page-calc_title h1 {
  color: rgba(0, 0, 0, 1);
  font-weight: 400;
  font-size: 96px;
  line-height: 1;
  margin: 15px 0 50px;
  text-transform: uppercase;
}
.page-calc-text {
  position: relative;
}
.calc-page-txt {
  position: absolute;
  bottom: 0;
  max-width: 720px;
  color: white;
  padding: 15px 35px;
  font-size: 28px;
  line-height: 1.15;
  font-weight: 300;
}
.calc-block_product_cat_block {
  background: rgba(33, 34, 37, 0.08);
  padding: 20px 20px 15px;
  border-radius: 16px;
  width: 290px;
}
.calc-block_flex {
    display: flex;
    justify-content: space-between;
    padding: 55px 30px 55px;
    background: rgba(248, 248, 248, 1);
    border: 1px solid #c6c6c6;
    border-radius: 20px;
    margin-top: 15px;
    margin-bottom: 20px;
}
.calc-block_product_title,
.calc-block_parametr_title {
  font-size: 38px;
  font-family: "oswald";
  color: rgba(33, 34, 37, 1);
  font-weight: 600;
  margin-bottom: 20px;
}

.calc-block_product_flex {
  display: flex;
  width: 100%;
  background: white;
  border: 1px solid #d5d5d5;
  border-radius: 16px;
  overflow: hidden;
}
ul.mirna-list,
ul.product-list {
  padding: 20px;
  margin: 0;
  list-style: none;
  font-size: 14px;
  line-height: 1;
  color: rgba(133, 133, 133, 1);
  font-weight: 600;
}
ul.mirna-list li,
ul.product-list li {
  margin-bottom: 16px;
  cursor: pointer;
}
.calc-block_product_product,
.calc-block_product_mirna {
  width: 245px;
}
.calc-block_product_cat_block
  li.product-category-item
  a
  img.attachment-thumbnail {
  width: 50px;
  height: 41px;
}
.calc-block_product_mirna_block {
  height: 100%;
  border-right: 2px solid rgb(168 168 168 / 20%);
}
li.mirna-item.is-active {
  color: rgba(98, 52, 51, 1);
}
.calc-block_product_cat_title,
.calc-block_product_mirna_title,
.calc-block_product_product_title {
  color: rgba(33, 34, 37, 1);
  font-size: 18px;
  font-weight: 500;
  padding: 20px 0px;
}
span.cyr {
  width: 36px;
  height: 36px;
  display: inline-block;
  background: rgba(242, 242, 242, 1);
  text-align: center;
  padding: 4px;
  border-radius: 4px;
  margin-right: 5px;
}
.calc-block_product_cat_title {
  padding-left: 20px;
}
p.mirna_block_not {
  text-align: center;
  font-size: 14px;
  color: grey;
}
.calc-block_product_cat span.cyr {
  color: white;
  background: #623433;
}
.calc-block_product_mirna.is-active .calc-block_product_mirna_title span.cyr {
  color: white;
  background: #623433;
}
.calc-block_parametr_block {
  background: white;
  padding: 20px;
  border-radius: 16px;
  border: 1px solid #d5d5d5;
  margin-left: 20px;
}
.calc-block_parametr_radio {
  display: flex;
  align-items: center;
  color: rgba(33, 34, 37, 1);
  font-size: 18px;
  font-weight: 500;
}
.calc-block_parametr_title {
  padding-left: 20px;
}
.calc-block_parametr_radio input[type="text"] {
  border: 1px solid rgba(194, 194, 194, 1);
  border-radius: 4px;
  padding: 20px 60px 20px 15px;
  max-width: 216px;
  margin-left: 20px;
}
.calc-block_product_product_block li.is-active {
  color: #623433;
}
.calc-block_product_product.is-active span.cyr {
  color: white;
  background: #623433;
}
span.numb {
  color: white;
  font-size: 60%;
  width: 52px;
  height: 52px;
  background: black;
  display: inline-block;
  border-radius: 4px;
  text-align: center;
  padding: 15px 0 15px;
  margin-right: 5px;
  top: -8px;
  position: relative;
  line-height: 1;
}
.calc-block_parametr_summa {
  display: flex;
  justify-content: space-between;
  padding-top: 30px;
  border-top: 1px solid rgba(0, 0, 0, 0.3);
  margin-top: 35px;
  color: rgba(133, 133, 133, 1);
  font-weight: 500;
  margin-bottom: 30px;
}
.calc-block_summa {
  font-family: "oswald";
  font-weight: 500;
  color: rgba(98, 52, 51, 1);
  font-size: 24px;
  line-height: 1;
}
button.add-to-order {
  background: rgba(105, 49, 49, 1);
  color: white;
  border: 0;
  width: 100%;
  height: 75px;
  border-radius: 8px;
  font-size: 18px;
  cursor: pointer;
  padding: 5px;
}
.woocommerce-product-details__short-description {
    margin-top: 10px;
    line-height: 1.2;
    text-align: center;
    font-size: 17px;
}
.small.grey.center {
  text-align: center;
  font-weight: 500;
  line-height: 1.2;
  color: rgba(0, 0, 0, 0.4);
  margin: 10px 0 0;
}
button.add-to-order:hover {
  background: rgba(153, 71, 71, 1);
}
.calc-block_parametr {
  width: 100%;
}
span#produc_summa {
  min-width: 18px;
  display: inline-block;
  margin-right: 5px;
}
.calc-product_title {
  position: relative;
  width: 100%;
  height: 50px;
  font-weight: 500;
  color: rgba(98, 52, 51, 1);
  font-size: 24px;
  line-height: 1;
  border-left: 2px solid #693131;
  margin-bottom: 40px;
  padding: 10px 15px 0;
}
.calculator-type-calculate-radio label {
  display: inline-block;
  width: 100%;
  color: rgba(33, 34, 37, 1);
  font-size: 18px;
  padding-right: 20px;
  margin: 0 0 5px;
}
.calculator-type-calculate-radio input {
  margin-right: 10px;
  top: 1px;
  position: relative;
}
.calc-block_parametr_radio input[type="number"] {
  padding: 20px 50px 20px 20px;
  max-width: 216px;
}
.calc-block_parametr_radio div {
  position: relative;
}
.calc-block_parametr_radio div.product-unit {
  position: absolute;
  top: 19px;
  right: 15px;
}
.calc-card {
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 28px;
    background: rgba(248, 248, 248, 1);
    padding: 50px 30px 80px;
    max-width: 832px;
    margin-right: 15px;
    width: 100%;
}
.calc-card_title {
    color: rgba(33, 34, 37, 1);
    font-size: 38px;
    font-family: "oswald";
    font-weight: 600;
    margin: 0 0 40px;
    line-height: 1;
}
.calc-card_table th {
    font-weight: 600;
    font-size: 20px;
    font-family: "oswald";
    text-align: left;
    color:rgba(0, 0, 0, 0.6);
    padding: 0 0 10px 10px;
}

td.delite {
    cursor: pointer;
}
.calc-card_table td {
    margin: 0 -1px 0;
    font-size: 20px;
    color: rgba(0, 0, 0, 0.6);
}
.calc-card_table tr {
  border-bottom: 1px solid rgba(0, 0, 0, 1);
}
p.table_sum {
    text-align: right;
    padding-right: 50px;
    color: rgba(104, 49, 49, 1);
    font-weight: 600;
    font-size: 20px;
    font-family: "oswald";
    padding-bottom: 0;
    margin-bottom: 0;
}
.calc-block_parametr_equiv {
    font-size: 14px;
    color: grey;
}
.calc-card_table tbody td {
    padding: 15px 0px 15px 10px;
    border-bottom: 1px solid #80808087;
    border-left: 0px;
    border-right: 0px;
}
.calc-form {
    background: url(/wp-content/uploads/2025/12/bg-popup-order.jpg);
    background-size: cover;
    padding: 89px 35px 89px;
    border-radius: 24px;
    overflow: hidden;
    max-width: 530px;
}
.calc-card_flex {
    display: flex;
    margin-bottom: 80px;
}

.calc-block .form-submit-block .wpcf7-submit {
    color: rgba(33, 34, 37, 1)!important;
    background: white;
    font-size: 22px;
    height: 73px;
    cursor:pointer;
}
.calc-block .form-submit-block .wpcf7-submit:hover {
  background:rgba(105, 49, 49, 1);
  color:white!important;
}










@media (max-width: 1280px) {
  .calc-block_flex {
    display: flex;
    justify-content: space-between;
    padding: 25px 12px 25px;
    background: rgba(248, 248, 248, 1);
    border: 1px solid #e8e8e8;
    border-radius: 20px;
    margin-top: 15px;
    margin-bottom: 25px;
  }
  .calc-block_parametr_block {
    background: white;
    padding: 15px;
    border-radius: 16px;
    border: 1px solid #d5d5d5;
    margin-left: 10px;
  }
  .calc-block_parametr_radio input[type="number"] {
    max-width: 140px;
  }
}

@media (max-width: 1180px) {
  .calc-block_flex {
    flex-wrap: wrap;
  }
  .calc-block_parametr_block {
    margin-left: 0px;
  }
  .calc-block_parametr {
    padding-top: 30px;
  }
}

@media (max-width: 1080px) {
  .product-categories {
    width: 100%;
  }
  .products-layout {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    flex-direction: column-reverse;
  }
  .active-category-header {
    display: block !important;
    background: #f5f5f5;
    padding: 7px;
    border-radius: 16px;
    margin: 0 0 15px;
  }
  aside.product-categories
    ul.product-categories-list
    li.product-category-item.is-active {
    display: none;
  }
}

@media (max-width: 880px) {
  h3.group-title {
    margin: 0;
    color: white;
    background: rgba(98, 52, 51, 1);
    text-align: center;
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-size: 15px;
    line-height: 1;
    padding: 18px 10px;
    border-radius: 10px 10px 0px 0px;
  }
  table.woocommerce-product-table td {
    color: rgba(33, 34, 37, 1);
    text-align: center;
    font-weight: 500;
    padding: 5px 5px 5px;
    border-left: 0;
    border-right: 0;
    font-size: 14px;
  }
  .woocommerce-product-table tr th {
    font-size: 14px;
    padding: 15px 5px 15px;
  }
  .active-category-header a {
    margin-bottom: 0 !important;
  }
  .calc-block_product_flex {
    flex-wrap: wrap;
  }
  .calc-block_product_product,
  .calc-block_product_mirna,
  .calc-block_product_cat {
    width: 100%;
    text-align: center;
  }
  .calc-block_product_cat_block {
    margin: auto;
}
.page-calc_title h1 {
    font-size: 48px;
}
.calc-page-txt {
    padding: 15px 15px;
    font-size: 16px;
}
.page-calc-text img {
    height: 210px;
    object-fit: cover;
    border-radius:12px;
}
.calc-block_product_title, .calc-block_parametr_title {
    font-size: 28px;
}
}

@media (max-width: 640px) {
  aside.product-categories {
    background: rgba(33, 34, 37, 0.08);
    padding: 12px 8px 8px;
    border-radius: 10px;
  }
  li.product-category-item a img.attachment-thumbnail {
    width: 65px;
    height: 40px;
  }
  .block-table-price table.woocommerce-product-table {
    width: 640px;
  }
  .product-table {
    width: 100%;
  }
  .block-table-price {
    overflow: scroll;
  }
	  .calc-card_table td {
    font-size: 14px;
  }
  .calc-card_table th {
    font-size: 16px;
  }
	 .calc-form {
    padding: 45px 20px 45px;
  }
  .calc-card {
    border-radius: 16px;
    padding: 30px 20px 30px;
  }
  .calc-card_title {
    font-size: 28px;
    margin: 0 0 25px;
  }
  .calc-card {
    padding: 30px 15px 50px;
  }
  .calc-card_table th {
    font-size: 16px !important;
  }
  .calc-card_table td {
    margin: 0 -1px 0;
    font-size: 14px !important;
    color: rgba(0, 0, 0, 0.6);
    line-height: 1.2;
    padding: 8px 2px 13px !important;
    text-align: center !important;
  }
  .calc-block_parametr_radio input[type="text"] {
    max-width: 150px !important;
    margin-left: 20px !important;
  }
}
